summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2015-08-25 16:13:08 +0200
committerAlexis Ballier <aballier@gentoo.org>2015-08-25 16:13:08 +0200
commit05533753408f78186692229b9e88a5edbd0bee10 (patch)
tree3780d3bd23185535adfec1ef05c7417712cd565c
parentmedia-sound/volumeicon: bump to 0.5.1. (diff)
downloadgentoo-05533753408f78186692229b9e88a5edbd0bee10.tar.gz
gentoo-05533753408f78186692229b9e88a5edbd0bee10.tar.bz2
gentoo-05533753408f78186692229b9e88a5edbd0bee10.zip
media-sound/sndpeek: version bump to 1.4.
Also respect LDFLAGS, bug #334595. Package-Manager: portage-2.2.20.1
-rw-r--r--media-sound/sndpeek/Manifest3
-rw-r--r--media-sound/sndpeek/files/sndpeek-1.4-gcc.patch12
-rw-r--r--media-sound/sndpeek/files/sndpeek-1.4-ldflags.patch65
-rw-r--r--media-sound/sndpeek/sndpeek-1.4.ebuild73
4 files changed, 152 insertions, 1 deletions
diff --git a/media-sound/sndpeek/Manifest b/media-sound/sndpeek/Manifest
index 7dbbba698c1a..61b57719a9ab 100644
--- a/media-sound/sndpeek/Manifest
+++ b/media-sound/sndpeek/Manifest
@@ -1 +1,2 @@
-DIST sndpeek-1.3.tgz 298983 SHA256 36291830b345338777dd304bacb81b97885d31b33e9e6dba19340f25ac169d08
+DIST sndpeek-1.3.tgz 298983 SHA256 36291830b345338777dd304bacb81b97885d31b33e9e6dba19340f25ac169d08 SHA512 0642400f8e806ab8ffac73b2cd92593feb5032c63b825899982b7ebafd770d53bb43b940a74d8fa0962ddd730b404bf8c842114a9f64234adddee5ae990ae9d4 WHIRLPOOL 088a05a7ea947c45f895bb3e0ad3bd3da439b8282b92f69a58e84e07e65db873a2a54bb0b6856903e833f21354e112711a65a4a2321044d9c9ded49b083af0d7
+DIST sndpeek-1.4.tgz 311174 SHA256 2d86cf74854fa00dcdc05a35dd92bc4cf6115e87102b17023be5cba9ead8eedf SHA512 f44c2474828ccbd783d69cf14c5c63ab9c52e1f32fd3bdeb2b4e0c6c5dc83d5f88c2b4e27d48824b1acb29c730c1320953ccadf5635f61a9f93487bbcd821bcb WHIRLPOOL a11d2b75f0814643ad75b1b2da7bbd5876a2d1daececc776a3d562ecbdc3fe1c17957e1c479a6df7e8265ad862ed13615e80ada0beddd34c4b999e01b3f0abe0
diff --git a/media-sound/sndpeek/files/sndpeek-1.4-gcc.patch b/media-sound/sndpeek/files/sndpeek-1.4-gcc.patch
new file mode 100644
index 000000000000..524b0bd746af
--- /dev/null
+++ b/media-sound/sndpeek/files/sndpeek-1.4-gcc.patch
@@ -0,0 +1,12 @@
+Index: sndpeek-1.4/src/marsyas/LPC.cpp
+===================================================================
+--- sndpeek-1.4.orig/src/marsyas/LPC.cpp
++++ sndpeek-1.4/src/marsyas/LPC.cpp
+@@ -26,6 +26,7 @@ in Speech Recognition research.
+ */
+
+
++#include <cstdlib>
+ #include "LPC.h"
+
+ LPC::LPC( unsigned int inSize )
diff --git a/media-sound/sndpeek/files/sndpeek-1.4-ldflags.patch b/media-sound/sndpeek/files/sndpeek-1.4-ldflags.patch
new file mode 100644
index 000000000000..9822434b263a
--- /dev/null
+++ b/media-sound/sndpeek/files/sndpeek-1.4-ldflags.patch
@@ -0,0 +1,65 @@
+Index: sndpeek-1.4/src/sndpeek/makefile.alsa
+===================================================================
+--- sndpeek-1.4.orig/src/sndpeek/makefile.alsa
++++ sndpeek-1.4/src/sndpeek/makefile.alsa
+@@ -12,7 +12,7 @@ OBJS=chuck_fft.o RtAudio.o Thread.o sndp
+ MagFFT.o NormRMS.o MarSignal.o fmatrix.o
+
+ sndpeek: $(OBJS)
+- $(CXX) -o $@ $(OBJS) $(LIBS)
++ $(CXX) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)
+
+ Centroid.o:
+ $(CXX) $(CFLAGS) $(MARSYAS_DIR)$*.cpp
+Index: sndpeek-1.4/src/sndpeek/makefile.jack
+===================================================================
+--- sndpeek-1.4.orig/src/sndpeek/makefile.jack
++++ sndpeek-1.4/src/sndpeek/makefile.jack
+@@ -11,7 +11,7 @@ OBJS=chuck_fft.o RtAudio.o Thread.o sndp
+ MagFFT.o NormRMS.o MarSignal.o fmatrix.o
+
+ sndpeek: $(OBJS)
+- $(CXX) -o $@ $(OBJS) $(LIBS)
++ $(CXX) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)
+
+ Centroid.o:
+ $(CXX) $(CFLAGS) $(MARSYAS_DIR)$*.cpp
+Index: sndpeek-1.4/src/sndpeek/makefile.oss
+===================================================================
+--- sndpeek-1.4.orig/src/sndpeek/makefile.oss
++++ sndpeek-1.4/src/sndpeek/makefile.oss
+@@ -12,7 +12,7 @@ OBJS=chuck_fft.o RtAudio.o Thread.o sndp
+ MagFFT.o NormRMS.o MarSignal.o fmatrix.o
+
+ sndpeek: $(OBJS)
+- $(CXX) -o $@ $(OBJS) $(LIBS)
++ $(CXX) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)
+
+ Centroid.o:
+ $(CXX) $(CFLAGS) $(MARSYAS_DIR)$*.cpp
+Index: sndpeek-1.4/src/sndpeek/makefile.osx
+===================================================================
+--- sndpeek-1.4.orig/src/sndpeek/makefile.osx
++++ sndpeek-1.4/src/sndpeek/makefile.osx
+@@ -13,7 +13,7 @@ OBJS=chuck_fft.o RtAudio.o Thread.o sndp
+ MagFFT.o NormRMS.o MarSignal.o fmatrix.o
+
+ sndpeek: $(OBJS)
+- $(CPP) -o $@ $(OBJS) $(LIBS)
++ $(CPP) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)
+
+ Centroid.o:
+ $(CC) $(CFLAGS) $(MARSYAS_DIR)$*.cpp
+Index: sndpeek-1.4/src/sndpeek/makefile.win32
+===================================================================
+--- sndpeek-1.4.orig/src/sndpeek/makefile.win32
++++ sndpeek-1.4/src/sndpeek/makefile.win32
+@@ -12,7 +12,7 @@ OBJS=chuck_fft.o RtAudio.o Thread.o sndp
+ MagFFT.o NormRMS.o MarSignal.o fmatrix.o
+
+ sndpeek: $(OBJS)
+- $(CPP) -o $@ $(OBJS) $(LIBS)
++ $(CPP) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)
+
+ Centroid.o:
+ $(CC) $(CFLAGS) $(MARSYAS_DIR)$*.cpp
diff --git a/media-sound/sndpeek/sndpeek-1.4.ebuild b/media-sound/sndpeek/sndpeek-1.4.ebuild
new file mode 100644
index 000000000000..5c4cdc3aafb2
--- /dev/null
+++ b/media-sound/sndpeek/sndpeek-1.4.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=2
+inherit eutils toolchain-funcs
+
+DESCRIPTION="real-time audio visualization"
+HOMEPAGE="http://soundlab.cs.princeton.edu/software/sndpeek/"
+SRC_URI="http://soundlab.cs.princeton.edu/software/${PN}/files/${P}.tgz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+alsa jack oss"
+
+RDEPEND="media-libs/freeglut
+ virtual/opengl
+ virtual/glu
+ x11-libs/libXmu
+ x11-libs/libX11
+ x11-libs/libXext
+ media-libs/libsndfile
+ jack? ( media-sound/jack-audio-connection-kit )
+ alsa? ( media-libs/alsa-lib )
+ app-eselect/eselect-sndpeek"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-1.3-makefile.patch \
+ "${FILESDIR}"/${P}-gcc.patch \
+ "${FILESDIR}"/${P}-ldflags.patch
+}
+
+pkg_setup() {
+ if ! use alsa && ! use jack && ! use oss; then
+ eerror "One of the following USE flags is needed: jack, alsa or oss"
+ die "Please set one audio engine type"
+ fi
+}
+
+compile_backend() {
+ backend=$1
+ cd "${S}/src/sndpeek"
+ einfo "Compiling against ${backend}"
+ emake -f "makefile.${backend}" CC=$(tc-getCC) \
+ CXX=$(tc-getCXX) || die "emake failed"
+ mv sndpeek{,-${backend}}
+ emake -f "makefile.${backend}" clean
+ cd -
+}
+
+src_compile() {
+ use alsa && compile_backend alsa
+ use jack && compile_backend jack
+ use oss && compile_backend oss
+}
+
+src_install() {
+ use alsa && dobin src/sndpeek/sndpeek-alsa
+ use jack && dobin src/sndpeek/sndpeek-jack
+ use oss && dobin src/sndpeek/sndpeek-oss
+ dodoc AUTHORS README THANKS TODO VERSIONS
+}
+
+pkg_postinst() {
+ elog "Sndpeek now can use many audio engines, so you can specify audio engine"
+ elog "with sndpeek-{jack,alsa,oss}"
+ elog "Or you can use 'eselect sndpeek' to set the audio engine"
+
+ einfo "Calling eselect sndpeek update..."
+ eselect sndpeek update --if-unset
+}